Reinforcement BentShapeRebar/ro: Difference between revisions

From FreeCAD Documentation
(Created page with "Instrumentul {{KEY|16px Bent Shape Rebar}} poate fi utilizat în macros și de la consola Python console utilizând următorele funcții:")
(Created page with "* The Bent Shape Rebar have four different orientations: ** Bottom ** Top ** Left ** Right * Adds a Bent Shape reinforcing bar object to the given structural object. * If no S...")
Line 50: Line 50:
* If no Structure and Facename is given, it will take user selected face as input.
* If no Structure and Facename is given, it will take user selected face as input.
* Here CoverAlong argument is having type tuple.
* Here CoverAlong argument is having type tuple.
* Returns the new Rebar object.
* Returnează noul obiect Rebar.
Example:
Example:
Creating Bent Shape rebar.
Creating Bent Shape rebar.

Revision as of 08:34, 22 November 2018

Arch Rebar BentShape

Menu location
Arch → Rebar tools
Workbenches
Arch
Default shortcut
None
See also
Stirrup
 
This command is part of the Reinforcement AddOn, that you can install via menu Tools → Addons Manager

Descriere

Instrumentul Bent Shape Rebar permite utilizatorului să creeze o formă de armătură bent shape reinforcing bar în elementul de structură.

Cum se folosește

  1. Creați un elemente de structure
  2. Select any face of the structure
  3. Then select Bent Shape Rebar from the rebar tools
  4. A task panel will pop-out on the left side of the screen as shown below
  5. Select the desired orientation
  6. Give the inputs like front cover, left cover, right cover, bottom cover, top cover, anchor length, bent angle, rounding and diameter of the rebar
  7. Select the mode of distribution either amount or spacing
  8. If spacing is selected, a user can also opt for custom spacing
  9. Pick selected face is used to verify or change the face for rebar distribution
  10. Click OK or Apply to generate the rebars
  11. Click pe Cancel pentru a ieși din task panel

Proprietăți

  • DateOrientation: Acesta decide orinetrea armăturii (like a bottom, top, right and left).
  • DateFront Cover: The distance between rebar and selected face.
  • DateLeft Cover: The distance between the left end of the rebar to the left face of the structure.
  • DateRight Cover: The distance between the right end of the rebar to right face of the structure.
  • DateBottom Cover: The distance between rebar from the bottom face of the structure.
  • DateTop Cover: The distance between rebar from the top face of the structure.
  • DateAnchor Length: It is the arm's length of bent shape rebar.
  • DateBent Angle: It decides angle in bent shape rebar.
  • DateAmount: The amount of rebars.
  • DateSpacing: Distanța între acele fiecărei bare.

Scrip-Programare

Instrumentul Bent Shape Rebar poate fi utilizat în macros și de la consola Python console utilizând următorele funcții:

makeBentShapeRebar(FrontCover, BottomCover, LeftCover, RightCover, Diameter, TopCover, BentLength, BentAngle, Rounding, AmountSpacingCheck, AmountSpacingValue, Orientation, Structure, Facename)
  • The Bent Shape Rebar have four different orientations:
    • Bottom
    • Top
    • Left
    • Right
  • Adds a Bent Shape reinforcing bar object to the given structural object.
  • If no Structure and Facename is given, it will take user selected face as input.
  • Here CoverAlong argument is having type tuple.
  • Returnează noul obiect Rebar.

Example: Creating Bent Shape rebar.

import Arch, BentShapeRebar
structure = Arch.makeStructure(length=1000.0, width=1000.0, height=100.0)
structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
rebar = BentShapeRebar.makeBentShapeRebar(20, 20, 20, 20, 8, 20, 100, 135, 2, True, 10, "Bottom", structure, "Face1")

Changing properties of Bent Shape rebar.

import BentShapeRebar
BentShapeRebar.editBentShapeRebar(rebar, 50, 50, 50, 50, 12, 20, 100, 135, 2, True, 10, "Top")